
From: Ralf Baechle <ralf@linux-mips.org>

There is no do_nanosleep function so kill it's declaration in <linux/time.h>.

Signed-off-by: Ralf Baechle <ralf@linux-mips.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/time.h |    1 -
 1 files changed, 1 deletion(-)

diff -puN include/linux/time.h~delete-unused-do_nanosleep-declaration include/linux/time.h
--- devel/include/linux/time.h~delete-unused-do_nanosleep-declaration	2005-08-17 18:25:33.000000000 -0700
+++ devel-akpm/include/linux/time.h	2005-08-17 18:25:33.000000000 -0700
@@ -97,7 +97,6 @@ extern int do_settimeofday(struct timesp
 extern int do_sys_settimeofday(struct timespec *tv, struct timezone *tz);
 extern void clock_was_set(void); // call when ever the clock is set
 extern int do_posix_clock_monotonic_gettime(struct timespec *tp);
-extern long do_nanosleep(struct timespec *t);
 extern long do_utimes(char __user * filename, struct timeval * times);
 struct itimerval;
 extern int do_setitimer(int which, struct itimerval *value, struct itimerval *ovalue);
_
